# $Revision: 1.37 $, $Date: 2008/07/27 22:36:26 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Clean
Summary:	HTML::Clean - cleans up HTML code for web browsers, not humans
Summary(pl.UTF-8):	HTML::Clean - czyści kod w HTML-u z punktu widzenia serwerów WWW
Name:		perl-HTML-Clean
Version:	0.8
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ee562703b7700c7fd4173f355e83ec2c
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTML::Clean Perl module encapsulates a number of common techniques
for minimizing the size of HTML files.  You can typically save between
10% and 50% of the size of a HTML file using these methods.

%description -l pl.UTF-8
Moduł Perla HTML::Clean zamyka w sobie kilka ogólnych technik
minimalizacji rozmiaru plików HTML. Zazwyczaj pozwala on zaoszczędzić
na rozmiarze pliku HTML od 10% do 50%. 

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/HTML/*.pm
%dir %{perl_vendorlib}/auto/HTML
%dir %{perl_vendorlib}/auto/HTML/Clean
%{perl_vendorlib}/auto/HTML/Clean/autosplit.ix
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Clean.spec,v $
Revision 1.37  2008/07/27 22:36:26  arekm
- release 10

Revision 1.36  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.34  2004/11/03 22:30:25  paladine
- formatting

Revision 1.33  2004/06/05 18:10:40  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.32  2004/05/07 00:41:49  ankry
- rel. 9

Revision 1.31  2004/05/06 18:09:40  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/25 21:10:15  ankry
- added tests

Revision 1.29  2004/04/22 10:40:31  ankry
- summary/desc

Revision 1.27  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.26  2003/08/18 08:08:49  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 19:36:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:32:54  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/07/27 21:36:15  ankry
- translations, cleaning
- new %%doc
- added autosplit.ix and necessary dirs
- release 7

Revision 1.18  2002/07/10 08:47:28  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:50  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:15:54  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:26:49  depesz
adapterized

Revision 1.12  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:10:03  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/06 16:11:01  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/11/17 14:56:09  kloczek
- updated to 0.8,
- use new rpm automation.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 18:42:13  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/09/28 14:34:27  pius
- initial release
based on autogenerated spec file from RH
